Subject: bug#16619: 24.3.50; REGRESSION: transparent *Completions* now

From: Daniel Colascione <[email-masked]>
Date: Sat, 01 Feb 2014 16:09:44 -0800

On 02/01/2014 04:06 PM, Drew Adams wrote:
>> What happens if you set frame-alpha-lower-limit to 100?
>
> Yes, that fixes the problem.  Thank you, Daniel!  That gives
> me a temporary workaround.
>
> But I hope that is not the ultimate answer, and that you mean
> that as something more than a workaround (I doubt that you do).
> IOW, I don't think I should have to set this to 100.
>

Indeed. I wanted to rule out problems below the normal frame parameter 
control mechanism (e.g., triggering odd display driver bugs).

> I'm not familiar with this variable, but it seems to affect
> all frames wrt frame parameter `alpha'.  I do not want to be
> limited to not having frames of different opacity.  (No, I do
> not currently use frames that are semi-transparent.  But I do
> not want to be gratuitously prevented from doing so.)
>
>> I don't think anyone made this change deliberately.
>
> I don't suppose so either.  But I'm not sure what new features
> that have been allowed might have been tweaked lately to make
> them "work" better and which fix might have broken other things.
> IOW, I have no idea what the cause is.  To me, this is just a
> regression, regardless of the source.

Yep, it's a regression. Looking at the change list, it's still not clear 
to me what causes it, and I haven't tried to repro yet. It'd be helpful 
if you could come up with a minimum configuration delta (relative to 
emacs -Q) that triggers the issue.